%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define pre 0
%if %pre
%define rel 0.%pre.1
%define fname %name-%{version}RC3
%else
%define rel 8
%define fname %name-%version
%endif

Summary:	Next generation Beep Media Player
Name:		bmpx
Version:	0.40.14
Release:	%mkrel %rel
License:	GPLv2+
Group:		Sound
URL:		http://bmpx.backtrace.info/site/BMPx_Homepage
Source0:	http://files.backtrace.info/releases/0.40/%{fname}.tar.bz2
Patch:		bmpx-0.40.14-format-strings.patch
Patch1:		bmpx-0.40.14-no-gsd-spawn.patch
Patch2:		bmpx-0.40.14-new-cairomm.patch
Patch3:		bmpx-0.40.14-compile.patch
Patch4:		bmpx-0.40.14-libsoup24.patch
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-gnomevfs
Requires:	pygtk2.0
Requires:	dbus-python
Requires:	dbus-x11
BuildRequires:	glib2-devel >= 2.10.0
BuildRequires:	hal-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libsoup-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	librsvg-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	boost-devel
BuildRequires:	libsm-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libcdio-devel
BuildRequires:	taglib-devel
BuildRequires:	gamin-devel
BuildRequires:	imagemagick
BuildRequires:	curl-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:	libalsa-devel
BuildRequires:	sqlite3-devel
BuildRequires:	sidplay-devel
BuildRequires:  libofa-devel
BuildRequires:  libsexymm-devel
BuildRequires:  libgnome-vfs2-devel
BuildRequires:  libGConf2-devel
BuildRequires:	intltool
#BuildRequires:  gaim-devel
BuildRequires:	flex bison
BuildRequires:	zip
BuildRequires:	desktop-file-utils
BuildRequires:  libxslt-proc
Obsoletes:	%libname
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BMPx is the codename for the next-generation BMP. In general, users of
BMP should be familiar with BMPx right from the beginning, but there
will be new features and usage semantics changes as well. The code has
been rewritten ~95% from scratch, including the skinning engine and
the playback backend. A few utility functions and miscellaneous stuff
has been taken from the old codebase.

%package -n	%develname
Summary:	Devel library for BMPX
Group:		Development/C
Provides:	lib%name-devel = %version-%release
Provides:	%name-devel = %version-%release

%description -n	%develname
Devel library for BMPX.

%prep
%setup -q -n %fname
%patch -p1
%patch1 -p1 -b .no-gsd-spawn
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -fi
%configure2_5x --enable-hal --enable-sid
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
mv %buildroot%_datadir/locale/th_TH %buildroot%_datadir/locale/th
%find_lang %name
desktop-file-install --vendor="" \
  --add-category="Audio" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{bmp-2.0,bmp-2.0-offline}.desktop

mkdir -p %{buildroot}/{%{_liconsdir}/,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%name.png %{buildroot}/%{_liconsdir}/
convert -scale 32 data/icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 data/icons/%name.png %buildroot%_miconsdir/%name.png

#gw useless:
rm -f %buildroot%_libdir/%name/plugins/*/*.la \
      %buildroot%_libdir/%name/plugins/*/*/*.la

# why does this happen on seggie?
rm -f %{buildroot}%{_datadir}/locale/locale.alias

# broken symlink
ln -sf beep-media-player-2 %buildroot%_bindir/bmp2

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README* ChangeLog AUTHORS
%_bindir/bmp2
%_bindir/beep-media-player-2
%_bindir/bmp-play-files-2.0
%_bindir/bmp-play-uris-2.0
%_datadir/dbus-1/services/*
%_datadir/%name
%_datadir/applications/bmp-2.0.desktop
%_datadir/applications/bmp-play-2.0.desktop
%_datadir/applications/bmp-2.0-offline.desktop
%_datadir/icons/hicolor/48x48/apps/%name.png
%_mandir/man1/beep-media-player-2.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_libdir/bmpx/
%_libexecdir/beep-media-player-2-bin
%_libexecdir/beep-media-player-2-sentinel

%files -n %develname
%defattr(-,root,root)
%_includedir/bmp-2.0/
%_libdir/pkgconfig/*.pc


%changelog
* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.40.14-8mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 0.40.14-7mdv2010.0
+ Revision: 418995
- remove firefox extension (bug #53036)

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.40.14-6mdv2010.0
+ Revision: 418826
- add fedora patch to build with libsoup 2.4
- sync with fedora patch to have it built

* Thu Mar 26 2009 Götz Waschk <waschk@mandriva.org> 0.40.14-5mdv2009.1
+ Revision: 361262
- update license
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest libboost

* Fri Jan 23 2009 Götz Waschk <waschk@mandriva.org> 0.40.14-4mdv2009.1
+ Revision: 332798
- fix format strings
- fix build with new cairomm

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 0.40.14-2mdv2009.1
+ Revision: 296730
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with new libsoup

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 11 2008 Götz Waschk <waschk@mandriva.org> 0.40.14-1mdv2009.0
+ Revision: 192588
- new version
- drop patch 0
- rediff patch 1
- update buildrequires
- drop conditional build option
- fix desktop entries
- build with mp4 metadata support
- new URL

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40.13-6mdv2008.1
+ Revision: 166308
- rebuild for latest libsoup

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Tue Jan 15 2008 Olivier Blin <oblin@mandriva.com> 0.40.13-5mdv2008.1
+ Revision: 152843
- do no spawn gnome-settings-daemon if it is not available (based on fcrozat's patch on totem)
- fix build (const gchar casts)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.40.13-4mdv2008.1
+ Revision: 109294
- rebuild for new lzma

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.40.13-3mdv2008.1
+ Revision: 105178
- fix build with new boost

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.40.13-2mdv2008.1
+ Revision: 100889
- fix build on x86_64
- fix buildrequires
- rebuild for new boost

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 0.40.13-1mdv2008.1
+ Revision: 100280
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.40.12-1mdv2008.1
+ Revision: 98700
- new version

* Tue Oct 09 2007 Funda Wang <fwang@mandriva.org> 0.40.11-1mdv2008.1
+ Revision: 96065
- add missing binary
- no more libpackage
- fix file list, but I'm not sure where have id3reader files gone.
- New version 0.40.11

* Fri Aug 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.40.1-3mdv2008.0
+ Revision: 70906
- fix upgrade

* Thu Aug 23 2007 Götz Waschk <waschk@mandriva.org> 0.40.1-2mdv2008.0
+ Revision: 70653
- split out library package

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 0.40.1-1mdv2008.0
+ Revision: 62235
- fix file list
- New version 0.40.1

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 0.40.0-1mdv2008.0
+ Revision: 60479
- add back include files
- New version 0.40.0

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.rc3.1mdv2008.0
+ Revision: 54608
- new version
- update deps

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.rc2.1mdv2008.0
+ Revision: 51207
- new version
- update buildrequires

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.rc1.1mdv2008.0
+ Revision: 40801
- new version

* Tue Jun 12 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.pre4.1mdv2008.0
+ Revision: 38106
- new version

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.pre3.1mdv2008.0
+ Revision: 36737
- new version
- fix buildrequires

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.pre2.1mdv2008.0
+ Revision: 35044
- new version

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.40.0-0.pre1.1mdv2008.0
+ Revision: 32437
- new version

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.36.1-1mdv2008.0
+ Revision: 22262
- disable gaim support


* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.36.1-1mdv2007.0
+ Revision: 96939
- new version

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 0.36.0-1mdv2007.1
+ Revision: 94667
- new version

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 0.36.0-0.rc1.1mdv2007.1
+ Revision: 90348
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.34.9-1mdv2007.1
+ Revision: 89107
- new version

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 0.34.6-2mdv2007.1
+ Revision: 86615
- bot rebuild
- new version
- bot rebuild
- bot rebuild
- add firefox extension and document the manual installation in README.urpmi
- bot rebuild
- bot rebuild
- new version

* Wed Nov 15 2006 Götz Waschk <waschk@mandriva.org> 0.34.4-2mdv2007.1
+ Revision: 84426
- bot rebuild
- new version
- reenable moodriver

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 0.34.0-0.rc2.4mdv2007.1
+ Revision: 81043
- another try
- another rebuild try
- bot rebuild
- new version

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 0.34.0-0.rc1.2mdv2007.0
+ Revision: 78193
- fix buildrequires
- new version
- update file list
- disable moodriver

* Sat Nov 04 2006 Götz Waschk <waschk@mandriva.org> 0.33.4-2mdv2007.1
+ Revision: 76479
- new version
- new version

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.33.0-2mdv2007.1
+ Revision: 72642
- fix buildrequires
- new version
- new version
- remove mime stuff
- update file list
- fix description

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.32.0-3mdv2007.1
+ Revision: 64485
- rebuild
- rebuild
- Import bmpx

* Wed Oct 04 2006 Gtz Waschk <waschk@mandriva.org> 0.32.0-1mdv2007.0
- moodriver support
- new version

* Sat Sep 30 2006 Gtz Waschk <waschk@mandriva.org> 0.30.3-1mdv2007.0
- update file list
- fix buildrequires
- drop patch
- new version

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 0.21.0-2mdv2007.0
- fix German translation
- rebuild for new cairomm

* Sat Aug 12 2006 Gtz Waschk <waschk@mandriva.org> 0.21.0-1mdv2007.0
- enable gaim support
- update file list
- fix buildrequires
- New release 0.21.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20.3-3mdv2007.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.20.3-1mdv2007.0
- Rebuild

* Sat Jul 22 2006 Gtz Waschk <waschk@mandriva.org> 0.20.3-1mdv2007.0
- fix th locale
- build with neon 0.26
- new source URL
- New release 0.20.3

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 0.20.2-2mdv2007.0
- depend on libneon 0.25
- support mp4 (disabled by default)
- enable sidplay support

* Tue Jul 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.20.2-1mdv2007.0
- 0.20.2
- make it build against latest neon

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 0.20-1.beta1.1mdv2007.0
- update file list
- new version

* Tue Jul 04 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.3mdv2007.0
- fix buildrequires

* Sat Jun 24 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.2mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.1mdv2007.0
- handle mime stuff
- new version

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre1.2mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre1.1mdv2007.0
- drop library package
- update desktop database
- enable hal and amazon support
- xdg menu
- new version

* Sun May 07 2006 Olivier Blin <oblin@mandriva.com> 0.14.4-1mdk
- New release 0.14.4

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 0.14.4-1mdk
- update file list
- New release 0.14.4

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 0.14.3-2mdk
- fix deps

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 0.14.3-1mdk
- New release 0.14.3
- update file list
- bump deps

* Sat Apr 08 2006 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdk
- Rebuild

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.13.1-1mdk
- drop patch
- New release 0.13.1

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.13-2mdk
- fix buildrequires

* Sat Feb 11 2006 Olivier Blin <oblin@mandriva.com> 0.13-1mdk
- 0.13
- drop Patch0 (upstream don't use this DBus macro anymore)
- BuildRequires neon0.25-devel
- Patch0: fix 'for' loop initial declaration used outside C99 mode
- update files list

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12.9-1.0.1mdk
- Patch0: dbus 0.60 support

* Mon Jan 02 2006 Gtz Waschk <waschk@mandriva.org> 0.12.9-3mdk
- fix buildrequires

* Wed Nov 30 2005 Olivier Blin <oblin@mandriva.com> 0.12.9-2mdk
- build with -fPIC

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.12.9-1mdk
- New release 0.12.9
- update files list

* Mon Nov 21 2005 Olivier Blin <oblin@mandriva.com> 0.12.8-1mdk
- New release 0.12.8
- require dbus-x11 (#19820)

* Wed Nov 16 2005 Olivier Blin <oblin@mandriva.com> 0.12.7-1mdk
- New release 0.12.7
- update files list

* Mon Nov 14 2005 Olivier Blin <oblin@mandriva.com> 0.12.6.1-1mdk
- New release 0.12.6.1

* Mon Nov 14 2005 Olivier Blin <oblin@mandriva.com> 0.12.6-1mdk
- New release 0.12.6

* Sun Nov 13 2005 Olivier Blin <oblin@mandriva.com> 0.12.5-1mdk
- New release 0.12.5
- update url again 
- update files list

* Fri Nov 11 2005 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdk
- New release 0.12.4

* Wed Nov 09 2005 Olivier Blin <oblin@mandriva.com> 0.12.3-1mdk
- New release 0.12.3
- update url
- update file list
- remove html gtk-doc from file list (not built anymore)

* Mon Oct 31 2005 Gtz Waschk <waschk@mandriva.org> 0.12.2-1mdk
- update deps
- update file list
- New release 0.12.2

* Fri Oct 28 2005 Olivier Blin <oblin@mandriva.com> 0.12.1-2mdk
- enable D-Bus, and package remote control programs

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdk
- New release 0.12.1

* Mon Oct 24 2005 Gtz Waschk <waschk@mandriva.org> 0.12-1mdk
- new version

* Sun Oct 23 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC12.1mdk
- 0.12_RC12

* Tue Oct 18 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC11.1mdk
- 0.12_RC11

* Sat Oct 15 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC10.1mdk
- 0.12_RC10

* Thu Oct 13 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC9.1mdk
- 0.12-0.RC9

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC8.1mdk
- move plugins back to main package
- add devel package
- new version

* Tue Oct 11 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC7.1mdk
- 0.12-0.RC7

* Mon Oct 10 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC6.1mdk
- new version

* Sun Oct 09 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC5.1mdk
- 0.12-0.RC5
- move flow plugins in lib package

* Sat Oct 08 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC4.1mdk
- 0.12-0.RC4
- remove Patch0 (fixed upstream)
- include new flow plugins

* Thu Oct 06 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC3.1mdk
- 0.12-0.RC3
- enhance pre release support in spec files
- Patch0: fix build when D-Bus isn't enabled
- update URL

* Tue Oct 04 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC1.1mdk
- new version

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.11.5.1-2mdk
- fix duplicated descriptions & summaries

* Sat Oct 01 2005 Götz Waschk <waschk@mandriva.org> 0.11.5.1-1mdk
- add library package
- New release 0.11.5.1

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Götz Waschk <waschk@mandriva.org> 0.11.5-1mdk
- New release 0.11.5

* Thu Sep 29 2005 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdk
- remove bmpx-remote
- New release 0.11.4

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdk
- New release 0.11.3

* Thu Sep 22 2005 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdk
- initial package

